#
# spec file for package python-pytest-mypy
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%{?sle15_python_module_pythons}
Name:           python-pytest-mypy
Version:        0.10.3
Release:        2.3
Summary:        Mypy static type checker plugin for Pytest
License:        MIT
URL:            https://github.com/realpython/pytest-mypy
Source:         https://files.pythonhosted.org/packages/source/p/pytest-mypy/pytest-mypy-%{version}.tar.gz
Patch0:         indirect-test-new-mypy.patch
BuildRequires:  %{python_module setuptools_scm >= 3.5}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-attrs >= 19.0
Requires:       python-filelock >= 3.0
Requires:       python-mypy >= 0.900
Requires:       python-pytest >= 2.8
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module attrs >= 19.0}
BuildRequires:  %{python_module filelock >= 3.0}
BuildRequires:  %{python_module mypy >= 0.900}
BuildRequires:  %{python_module pexpect}
BuildRequires:  %{python_module pytest >= 2.8}
BuildRequires:  %{python_module pytest-xdist}

# /SECTION
%python_subpackages

%description
Mypy static type checker plugin for Pytest.

%prep
%autosetup -p1 -n pytest-mypy-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest -s

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/pytest_mypy.py
%{python_sitelib}/pytest[-_]mypy*/
%pycache_only %{python_sitelib}/__pycache__/

%changelog
* Thu Sep 26 2024 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Fixed %%{?sle15_python_module_pythons}
* Wed Feb  8 2023 Steve Kowalik <steven.kowalik@suse.com>
- Update to 0.10.3:
  * Stop failing if mypy only produces notes.
  * Update and loosen [build-system] requirements.
  * Work around python/mypy#14042.
  * Add support for Python 3.11.
* Sat Oct 15 2022 John Vandenberg <jayvdb@gmail.com>
- Update URL
- Update to v0.10.0
  * Drop support for python<3.6
* Thu Aug 18 2022 Steve Kowalik <steven.kowalik@suse.com>
- Update 0.9.1:
  * Add support for pytest 7.
  * Drop support for pytest<4.6.
  * Add --mypy-config-file.
- Drop patch 121-recent-mypy.patch, included upstream.
- Add patch indirect-test-new-mypy.patch:
  * Fix failing test with new mypy.
* Mon Jan 10 2022 Matej Cepl <mcepl@suse.com>
- Update to 0.8.1:
  - Implement MypyItem.collect for pytest < 6.0
  - Update dev deps and extend static checks
  - Test with mypy 0.8
- Add 121-recent-mypy.patch to make the test suite pass with the
  recent mypy.
* Tue Feb 23 2021 John Vandenberg <jayvdb@gmail.com>
- Activate test suite
- Update to v0.8.0:
  - Stop injecting MypyStatusItem in
    pytest_collection_modifyitems to fix --looponfail
  - Add support for Python 3.9
  - Create MypyResults
* Mon Sep  7 2020 John Vandenberg <jayvdb@gmail.com>
- Update to v0.7.0
* Tue Dec 10 2019 Todd R <toddrme2178@gmail.com>
- initial version v0.4.2
